import type { RenovateConfig } from '../../../config/types';
import type { PackageFile } from '../../../modules/manager/types';
export declare class Vulnerabilities {
    private osvOffline;
    private static readonly datasourceEcosystemMap;
    private constructor();
    private initialize;
    static create(): Promise<Vulnerabilities>;
    fetchVulnerabilities(config: RenovateConfig, packageFiles: Record<string, PackageFile[]>): Promise<void>;
    private fetchManagerVulnerabilities;
    private fetchManagerPackageFileVulnerabilities;
    private fetchDependencyVulnerabilities;
    private sortByFixedVersion;
    private sortEvents;
    private isPackageAffected;
    private includedInVersions;
    private includedInRanges;
    private isPackageVulnerable;
    private getFixedVersion;
    private isVersionGt;
    private isVersionGtOrEq;
    private convertToPackageRule;
    private evaluateCvssVector;
    private generatePrBodyNotes;
}
